Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::BasicShaderFixed Class Reference

基本シェーダ固定パイプライン More...

`#include <BasicShaderFixed.h>`

Inheritance diagram for Lamp::BasicShaderFixed:

List of all members.

## Public Member Functions
virtual void | buildStateBlock (Direct3DStateBlock **startBlock, Direct3DStateBlock **endBlock, Material *material, Texture *baseTexture, int baseUVIndex, Texture *lightTexture, int lightUVIndex, Texture *stainTexture, int stainUVIndex, const Color3f &diffuseColor, const Color3f &specularColor, const Color3f &ambientColor, const Color3f &emissiveColor, float specularPower)
| ステートブロックの構築
virtual void | draw (DrawRequest *request)
| 描画
## Protected Member Functions
| BasicShaderFixed ()
| コンストラクタ
virtual | ~BasicShaderFixed ()
| デストラクタ
## Friends
class | ShaderManager

## Detailed Description

基本シェーダ固定パイプライン

Definition at line 36 of file BasicShaderFixed.h.

## Member Function Documentation

void Lamp::BasicShaderFixed::buildStateBlock | ( | Direct3DStateBlock ** | startBlock,
|  | Direct3DStateBlock ** | endBlock,
|  | Material * | material,
|  | Texture * | baseTexture,
|  | int | baseUVIndex,
|  | Texture * | lightTexture,
|  | int | lightUVIndex,
|  | Texture * | stainTexture,
|  | int | stainUVIndex,
|  | const Color3f & | diffuseColor,
|  | const Color3f & | specularColor,
|  | const Color3f & | ambientColor,
|  | const Color3f & | emissiveColor,
|  | float | specularPower
| ) | `[virtual]`

  | ステートブロックの構築 Parameters:
  startBlock | [out]開始ステートブロック
  endBlock | [out]終了ステートブロック
  material | マテリアル
  baseTexture | ベーステクスチャ
  baseUVIndex | ベースUVインデックス
  lightTexture | ライトテクスチャ
  lightUVIndex | ライトUVインデックス
  stainTexture | 汚れテクスチャ
  stainUVIndex | 汚れUVインデックス
  diffuseColor | ディフューズカラー
  specularColor | スペキュラカラー
  ambientColor | アンビエントカラー
  emissiveColor | エミッシブカラー
  specularPower | スペキュラパワー
Definition at line 44 of file BasicShaderFixed.cpp. References Assert, Lamp::RenderingDevice::beginStateBlock(), Lamp::FixedShader::buildMaterialStart(), Lamp::RenderingDevice::closeColorTextureStage(), Lamp::Shader::device_, Lamp::RenderingDevice::endStateBlock(), Lamp::Material::getAlpha(), NULL, Lamp::RenderingDevice::setAlphaTextureStage(), Lamp::FixedShader::setFixedBaseTexture(), Lamp::FixedShader::setFixedLightTexture(), Lamp::FixedShader::setFixedStainTexture(), and Lamp::RenderingDevice::setMaterial(). Referenced by Lamp::BasicMaterial::buildStateBlock().

void Lamp::BasicShaderFixed::draw | ( | DrawRequest * | request | ) | `[virtual]`

  | 描画 Parameters:
  request | 描画リクエスト
Definition at line 105 of file BasicShaderFixed.cpp. References Lamp::FixedShader::drawFixed(), Lamp::FixedShader::resetFixedDraw(), and Lamp::FixedShader::setupFixedDraw(). Referenced by Lamp::BasicMaterial::draw().

The documentation for this class was generated from the following files:

- BasicShaderFixed.h
- BasicShaderFixed.cpp